Page MenuHomePhabricator

Color of selected revisions and color of highlightend users are easy to confuse
Closed, ResolvedPublic

Description

In the revision-slider each revision is shown as a grey bar. Not selected revisions are light grey while revisions within the selected range are darker gray. Revisions of a user that has been selected are also shown darker grey. These two grays are similar and easy to confuse.
In the following screenshot it might look like user "Aka" not only did the second-last edit and the one edit in the middle but also the three edits at the beginning:

Suggestions: change the colors to be more distinct.

Details

Related Gerrit Patches:
mediawiki/extensions/RevisionSlider : masterModified to a darker shade
mediawiki/extensions/RevisionSlider : masterUse darker gray for user highlighting
mediawiki/extensions/RevisionSlider : masterChanged the color to the darker shade of grey

Event Timeline

Restricted Application added a project: TCB-Team. · View Herald TranscriptOct 23 2018, 7:27 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lohitha02 claimed this task.Nov 4 2018, 8:58 AM
Hkrishr claimed this task.Nov 4 2018, 9:00 AM
Hkrishr added a subscriber: Lohitha02.
nandhinibalaji311 added a subscriber: Hkrishr.
nandhinibalaji311 removed nandhinibalaji311 as the assignee of this task.Nov 4 2018, 10:25 AM
Padthaidev added a subscriber: Yashk2000.

Change 471537 had a related patch set uploaded (by Sherlock07; owner: Sherlock07):
[mediawiki/extensions/RevisionSlider@master] fixed bug:T207782

https://gerrit.wikimedia.org/r/471537

Change 471539 had a related patch set uploaded (by Tle; owner: Yash Khare):
[mediawiki/extensions/RevisionSlider@master] Changed the color to the darker shade of grey

https://gerrit.wikimedia.org/r/471539

Hkrishr claimed this task.Nov 4 2018, 11:38 AM
Hkrishr added a subscriber: Padthaidev.
Aklapper removed Hkrishr as the assignee of this task.EditedNov 4 2018, 3:59 PM

Please do not claim tasks that already have someone working on it and a patch to review.
Please respect the "assignee" field. Thanks.

@Aklapper Could this be some new form of hostile bots? All the accounts (@Hkrishr @nandhinibalaji311 and @Yashk2000) have zero other activity here as well as zero edits on all wikis.

@MichaelSchoenitzer_WMDE: Hackathons for newcomers are a better assumption. :)

Change 472455 had a related patch set uploaded (by Vijay9908; owner: Vijay9908):
[mediawiki/extensions/RevisionSlider@master] "Bug: T207782 Color of selected revisions and color of highlightend users are easy to confuse fixed"

https://gerrit.wikimedia.org/r/472455

Vijay9908 claimed this task.Nov 8 2018, 3:39 PM

Change 471559 had a related patch set uploaded (by Lohitha; owner: Lohitha):
[mediawiki/extensions/RevisionSlider@master] Modified to a darker shade

https://gerrit.wikimedia.org/r/471559

Change 471537 had a related patch set uploaded (by Thiemo Kreuz (WMDE); owner: Sherlock07):
[mediawiki/extensions/RevisionSlider@master] Use darker gray for user highlighting

https://gerrit.wikimedia.org/r/471537

Namah Shivaya,
Today I tried my first project with django. I got alot of errors and I
tried fixing them but was not successful at the last step. I will fix it
tomorrow.
Regards
Nandhini Balaji

Note that there are already three patches linked from this task. (Please stick to the topic of the task when commenting on task - thanks!)

Gopikaharikumar removed Vijay9908 as the assignee of this task.Nov 14 2018, 12:00 PM
Gopikaharikumar claimed this task.
Gopikaharikumar added a subscriber: Vijay9908.
Aklapper removed Jasnasureshkv as the assignee of this task.Nov 14 2018, 12:30 PM
Aklapper added a subscriber: Jasnasureshkv.

Everybody please stop removing somebody else from being the task assignee here.

Gopavasanth closed this task as Resolved.Nov 22 2018, 2:44 PM
Gopavasanth claimed this task.
Gopavasanth added a subscriber: Gopavasanth.

Change 472455 abandoned by Aklapper:
"Bug: T207782 Color of selected revisions and color of highlightend users are easy to confuse fixed"

Reason:
Incorrect patch (one level too low in the folder hierarchy). Superseded by https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/RevisionSlider/ /474410/ hence abandoning.

https://gerrit.wikimedia.org/r/472455

Change 471537 abandoned by Aklapper:
Use darker gray for user highlighting

Reason:
Hi Sherlock07, thanks for your patch! We received several patches for this task and in the end https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/RevisionSlider/ /474410/ was merged which fixes this problem. Hence I am abandoning this one.

https://gerrit.wikimedia.org/r/471537

Change 471559 abandoned by Aklapper:
Modified to a darker shade

Reason:
Hi Lohitha, thanks for your patch! We received several patches for this task and in the end https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/RevisionSlider/ /474410/ was merged which fixes this problem. Hence I am abandoning this one.

https://gerrit.wikimedia.org/r/471559